Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.util
Class PrioritizedList

    java.lang.Object
      org.openxri.util.PrioritizedList

All Implemented Interfaces:
  java.io.Serializable

    public class PrioritizedList

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static int` | `POLICY_RANDOMIZE`
`static java.lang.String` | `PRIORITY_NULL`

Constructor Summary
`PrioritizedList()`

Method Summary
`void` | `addObject(java.lang.String pPriority, java.lang.Object o)` Add the given object based unsigned priroity string if multiple objects are stored with same priority, they are grouped together and later applies random shuffling
`java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object o)`
`java.util.ArrayList` | `getList()`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POLICY_RANDOMIZE

    public static final int POLICY_RANDOMIZE

See Also:
  Constant Field Values

### PRIORITY_NULL

    public static final java.lang.String PRIORITY_NULL

See Also:
  Constant Field Values

Constructor Detail

### PrioritizedList

    public PrioritizedList()

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### addObject

    public void addObject(java.lang.String pPriority,
                          java.lang.Object o)

  Add the given object based unsigned priroity string if multiple objects are stored with same priority, they are grouped together and later applies random shuffling

  Parameters:
    `pPriority` -
    `o` -

### getList

    public java.util.ArrayList getList()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.